#!/bin/sh
#[CONFIDENTIAL]

ACSERV_URL=git@acserv.sm.sony.co.jp
ACSERV_GIT=ssh://$ACSERV_URL/android/android

# fetching repo
git clone $ACSERV_GIT/tools/repo.git
REPO=./tmp_repo
sed -e "s|REPO_URL='.*'|REPO_URL='$ACSERV_GIT/tools/repo.git'|" ./repo/repo > $REPO
chmod 755 $REPO
rm -rf repo

# initializing
$REPO init -b sony_master -u $ACSERV_GIT/platform/manifest.git --mirror

# get local_manifest.xml
git clone ssh://$ACSERV_URL/android/android_tools/client_tools.git
cp client_tools/local_manifest.xml .repo/
rm -rf client_tools

rm $REPO
