#!/bin/sh

item=$1
shift

if [ -z "${item}" ] ; then
	echo "Usage: git-files-reffed <file-or-dir>";
	exit 1
fi

git log $@ "$item" | grep ^commit | cut -b 8- | xargs git show --oneline --stat | egrep -v "^[0-9a-f]" | grep -v changed | cut -d" " -f 2 | sort | uniq
