#!/bin/sh

version=1.3.0
dist_dir=ttc-${version}
mkdir ${dist_dir}
cp ttc telnet_exec ssh_exec preset-test.py \
  config-sizes-test.py powerswitch-cycle COPYING \
  switch-target-fs \
  ttc-${version}
cp ttc.conf ${dist_dir}/ttc.conf.sample
cp ttc.conf.sample2 ${dist_dir}/ttc.conf.sample2
cp README.ttc ${dist_dir}/README
cp CHANGELOG.ttc ${dist_dir}/CHANGELOG
tar -cvf ttc-${version}.tar ${dist_dir}/*
gzip ttc-${version}.tar
mv ttc-${version}.tar.gz ttc-${version}.tgz
echo Created ttc-${version}.tgz
